import { TextDocument, Position, CompletionItem, CompletionList, Hover, Range, SymbolInformation, Diagnostic, TextEdit, DocumentHighlight, FormattingOptions, MarkedString, DocumentLink } from 'vscode-languageserver-types';
export { TextDocument, Position, CompletionItem, CompletionList, Hover, Range, SymbolInformation, Diagnostic, TextEdit, DocumentHighlight, FormattingOptions, MarkedString, DocumentLink };
export interface HTMLFormatConfiguration {
    tabSize: number;
    insertSpaces: boolean;
    wrapLineLength: number;
    unformatted: string;
    indentInnerHtml: boolean;
    preserveNewLines: boolean;
    maxPreserveNewLines: number;
    indentHandlebars: boolean;
    endWithNewline: boolean;
    extraLiners: string;
}
export interface CompletionConfiguration {
    [provider: string]: boolean;
}
export declare type HTMLDocument = {};
export interface DocumentContext {
    resolveReference(ref: string): string;
}
export interface LanguageService {
    parseHTMLDocument(document: TextDocument): HTMLDocument;
    findDocumentHighlights(document: TextDocument, position: Position, htmlDocument: HTMLDocument): DocumentHighlight[];
    doComplete(document: TextDocument, position: Position, htmlDocument: HTMLDocument, options?: CompletionConfiguration): CompletionList;
    format(document: TextDocument, range: Range, options: HTMLFormatConfiguration): TextEdit[];
    findDocumentLinks(document: TextDocument, documentContext: DocumentContext): DocumentLink[];
}
export declare function getLanguageService(): LanguageService;
